Package es.imim.DISGENET.internal.enrichment

# Class EnrichmentTableModel

java.lang.Object
javax.swing.table.AbstractTableModel
es.imim.DISGENET.internal.enrichment.EnrichmentTableModel

All Implemented Interfaces:
  `Serializable`, `TableModel`

public class EnrichmentTableModel extends AbstractTableModel

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.swing.table.AbstractTableModel

`listenerList`

## Constructor Summary

Constructors
Constructor
Description
`EnrichmentTableModel(org.cytoscape.model.CyTable cyTable, String[] columnNames)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getAllRowCount()`
`Class<?>`
`getColumnClass(int c)`
`int`
`getColumnCount()`
`String`
`getColumnName(int col)`
`int`
`getRowCount()`
`String[]`
`getRowNames()`
`Object`
`getValueAt(int row, int col)`
`Object`
`getValueAt(int row, String colName)`
`boolean`
`isCellEditable(int row, int col)`
`void`
`setValueAt(Object value, int row, int col)`

### Methods inherited from class javax.swing.table.AbstractTableModel

`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnrichmentTableModel

public EnrichmentTableModel(org.cytoscape.model.CyTable cyTable, String[] columnNames)

## Method Details

### getColumnCount

public int getColumnCount()

### getRowCount

public int getRowCount()

### getAllRowCount

public int getAllRowCount()

### getColumnName

public String getColumnName(int col)

Specified by:
  `getColumnName` in interface `TableModel`
Overrides:
  `getColumnName` in class `AbstractTableModel`

### getRowNames

public String[] getRowNames()

### getValueAt

public Object getValueAt(int row, int col)

### getValueAt

public Object getValueAt(int row, String colName)

### getColumnClass

public Class<?> getColumnClass(int c)

Specified by:
  `getColumnClass` in interface `TableModel`
Overrides:
  `getColumnClass` in class `AbstractTableModel`

### isCellEditable

public boolean isCellEditable(int row, int col)

Specified by:
  `isCellEditable` in interface `TableModel`
Overrides:
  `isCellEditable` in class `AbstractTableModel`

### setValueAt

public void setValueAt(Object value, int row, int col)

Specified by:
  `setValueAt` in interface `TableModel`
Overrides:
  `setValueAt` in class `AbstractTableModel`